# Uses of Class
org.eclipse.mat.ui.editor.MultiPaneEditor

Packages that use MultiPaneEditor
Package
Description
org.eclipse.mat.ui
User interface plug-in definitions and query execution for UI components (not API).
org.eclipse.mat.ui.actions
Actions from the editor tools bar (not API).
org.eclipse.mat.ui.compare
Compare reports basket and compared tables - user interface (not API).
org.eclipse.mat.ui.editor
Editor for viewing snapshot (not API).
org.eclipse.mat.ui.internal.actions
Trigger queries from tool bar or from context menu - user interface (not API).
org.eclipse.mat.ui.internal.browser
Examine list of queries and query history - user interface (not API).
org.eclipse.mat.ui.internal.viewer
Allows filtering of the display of tables and trees, for example excluding certain class names - user interface (not API).
org.eclipse.mat.ui.internal.views
Some general views such as details of the dump, list of dumps, some user written notes, and the history of actions - user interface (not API).
org.eclipse.mat.ui.snapshot.editor
Eclipse editor for everything to do with snapshots - user interface (not API).
org.eclipse.mat.ui.util
Utility classes for toolbars, popup menu, searching on typing - user interface (not API).

## Uses of MultiPaneEditor in org.eclipse.mat.ui

Methods in org.eclipse.mat.ui with parameters of type MultiPaneEditor
Modifier and Type
Method
Description
`static void`
QueryExecution.`displayResult(MultiPaneEditor editor, PaneState originator, PaneState stateToReopen, QueryResult result, boolean isReproducable)`
`static void`
QueryExecution.`execute(MultiPaneEditor editor, PaneState originator, PaneState stateToReopen, ArgumentSet set, boolean forcePrompt, boolean isReproducable)`
`static void`
QueryExecution.`executeAgain(MultiPaneEditor editor, PaneState state)`
`static void`
QueryExecution.`executeCommandLine(MultiPaneEditor editor, PaneState originator, String commandLine)`
`static void`
QueryExecution.`executeCommandLine(MultiPaneEditor editor, PaneState originator, String commandLine, boolean prompt)`
`static void`
QueryExecution.`executeQuery(MultiPaneEditor editor, QueryDescriptor query)`

## Uses of MultiPaneEditor in org.eclipse.mat.ui.actions

Methods in org.eclipse.mat.ui.actions with parameters of type MultiPaneEditor
Modifier and Type
Method
Description
`static void`
ImportReportAction.`openReport(MultiPaneEditor editor, File reportZipFile)`
Constructors in org.eclipse.mat.ui.actions with parameters of type MultiPaneEditor
Modifier
Constructor
Description
``
`ImportReportAction(MultiPaneEditor editor)`
``
`ImportReportAction(MultiPaneEditor editor, File reportZipFile)`
``
`QueryDropDownMenuAction(MultiPaneEditor editor)`
``
`QueryDropDownMenuAction(MultiPaneEditor editor, IPolicy policy, boolean showHistory)`
``
`RunExternalReportAction(MultiPaneEditor editor)`
``
`RunReportsDropDownAction(MultiPaneEditor editor)`

## Uses of MultiPaneEditor in org.eclipse.mat.ui.compare

Methods in org.eclipse.mat.ui.compare with parameters of type MultiPaneEditor
Modifier and Type
Method
Description
`static boolean`
CompareBasketView.`accepts(PaneState state, MultiPaneEditor editor)`
`void`
CompareBasketView.`addResultToCompare(PaneState state, MultiPaneEditor editor)`

## Uses of MultiPaneEditor in org.eclipse.mat.ui.editor

Methods in org.eclipse.mat.ui.editor that return MultiPaneEditor
Modifier and Type
Method
Description
`MultiPaneEditor`
AbstractEditorPane.`getEditor()`
`MultiPaneEditor`
MultiPaneEditorSelectionProvider.`getHeapEditor()`
`MultiPaneEditor`
MultiPaneEditorSite.`getMultiPageEditor()`
Methods in org.eclipse.mat.ui.editor with parameters of type MultiPaneEditor
Modifier and Type
Method
Description
`void`
IMultiPaneEditorContributor.`init(MultiPaneEditor editor)`
Called when the editor starts
Constructors in org.eclipse.mat.ui.editor with parameters of type MultiPaneEditor
Modifier
Constructor
Description
``
`MultiPaneEditorSelectionProvider(MultiPaneEditor multiPageEditor)`
``
`MultiPaneEditorSite(MultiPaneEditor multiPageEditor, IEditorPart editor)`

## Uses of MultiPaneEditor in org.eclipse.mat.ui.internal.actions

Constructors in org.eclipse.mat.ui.internal.actions with parameters of type MultiPaneEditor
Modifier
Constructor
Description
``
`ExecuteQueryAction(MultiPaneEditor editor, String commandLine)`
``
`ExecuteQueryAction(MultiPaneEditor editor, QueryDescriptor descriptor)`
``
`OpenPaneAction(MultiPaneEditor editor, String paneId)`

## Uses of MultiPaneEditor in org.eclipse.mat.ui.internal.browser

Methods in org.eclipse.mat.ui.internal.browser with parameters of type MultiPaneEditor
Modifier and Type
Method
Description
`void`
QueryBrowserPopup.Element.`execute(MultiPaneEditor editor, boolean forcePrompt)`
Constructors in org.eclipse.mat.ui.internal.browser with parameters of type MultiPaneEditor
Modifier
Constructor
Description
``
`QueryBrowserPopup(MultiPaneEditor editor)`
``
`QueryBrowserPopup(MultiPaneEditor editor, boolean onlyHistory)`
``
`QueryBrowserPopup(MultiPaneEditor editor, boolean onlyHistory, IPolicy policy)`

## Uses of MultiPaneEditor in org.eclipse.mat.ui.internal.viewer

Methods in org.eclipse.mat.ui.internal.viewer with parameters of type MultiPaneEditor
Modifier and Type
Method
Description
`abstract void`
RefinedResultViewer.`init(Composite parent, MultiPaneEditor editor, AbstractEditorPane pane)`
`void`
RefinedTableViewer.`init(Composite parent, MultiPaneEditor editor, AbstractEditorPane pane)`
`void`
RefinedTreeViewer.`init(Composite parent, MultiPaneEditor editor, AbstractEditorPane pane)`

## Uses of MultiPaneEditor in org.eclipse.mat.ui.internal.views

Constructors in org.eclipse.mat.ui.internal.views with parameters of type MultiPaneEditor
Modifier
Constructor
Description
``
`NavigatorViewPage(MultiPaneEditor editor)`

## Uses of MultiPaneEditor in org.eclipse.mat.ui.snapshot.editor

Subclasses of MultiPaneEditor in org.eclipse.mat.ui.snapshot.editor
Modifier and Type
Class
Description
`class`
`HeapEditor`
Methods in org.eclipse.mat.ui.snapshot.editor with parameters of type MultiPaneEditor
Modifier and Type
Method
Description
`void`
HeapEditorContributions.`init(MultiPaneEditor editor)`

## Uses of MultiPaneEditor in org.eclipse.mat.ui.util

Constructors in org.eclipse.mat.ui.util with parameters of type MultiPaneEditor
Modifier
Constructor
Description
``
`EasyToolBarDropDown(String text, ImageDescriptor image, MultiPaneEditor editor)`
``
`QueryAction(MultiPaneEditor editor, QueryDescriptor query, IPolicy policy)`
``
`QueryContextMenu(MultiPaneEditor editor, ContextProvider provider)`
``
`QueryContextMenu(MultiPaneEditor editor, QueryResult result)`